Subject: Re: [core-updates] MariaDB fails tests on armhf-linux
From: Marius Bakke <[email-masked]>
To: [email-masked]
Date: Tue, 08 Oct 2019 11:00:24 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Marius Bakke <[email-masked]> writes:

> Marius Bakke <[email-masked]> writes:
>
>> "mariadb" consistently fails a single test on the core-updates branch on
>> armhf-linux:
>>
>> https://ci.guix.gnu.org/build/1689172/details
>>
>> [...]
>>
>> This does not happen on current 'master', so the problem was introduced
>> somewhere in between ccbc1c5eb..cbc8c658d.
>
> Upstream bug report here:
>
> https://jira.mariadb.org/browse/MDEV-20573
>
> I'm not sure what to do about it.  We could skip it, but then users who
> rely on encrypted binary logs could potentially get in trouble.  I
> haven't found a compile-time flag to disable just this one feature.

I was able to work around it by going back to GCC 5:

modified   gnu/packages/databases.scm
@@ -72,6 +72,7 @@
   #:use-module (gnu packages dbm)
   #:use-module (gnu packages emacs)
   #:use-module (gnu packages flex)
+  #:use-module (gnu packages gcc)
   #:use-module (gnu packages gettext)
   #:use-module (gnu packages glib)
   #:use-module (gnu packages gnupg)
@@ -779,6 +780,10 @@ Language.")
               #t))))))
     (native-inputs
      `(("bison" ,bison)
+       ;; XXX: On armhf, use GCC 5 to work around <https://bugs.gnu.org/37605>.
+       ,@(if (string-prefix? "armhf" (%current-system))
+             `(("gcc", gcc-5))
+             '())
        ("perl" ,perl)))
     (inputs
      `(("jemalloc" ,jemalloc)

GCC 9 did not make a difference.

Workaround pushed in 2fa55c72476c73211cbb2d6b29c05a1ad58a6cf9.  Let's
revisit this after upgrading to MariaDB 10.4.